From 05ddec9035bcb45dfa0c1bbcae5f74ca6180065b Mon Sep 17 00:00:00 2001
From: raumi75 <@raumi75>
Date: Wed, 9 Dec 2020 09:31:01 +0100
Subject: [PATCH] contrib module org-mac-link.el/open links from Mail.app: fix
 compatibility issue with macOS 11 Big Sur.

* org-mac-link.el (org-mac-message-open): replaced angular brackets with encoded version (< to %3C and > to %3E) so macOS 11 Big Sur can open the message in mail.app

TINYCHANGE macOS 11 does not open the mail link with angular brackets any more.  This fix is backwards compatible.  I have tested it on macOS 10.15.7.
---
 contrib/lisp/org-mac-link.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/contrib/lisp/org-mac-link.el b/contrib/lisp/org-mac-link.el
index d16190e5a..e692acb3e 100644
--- a/contrib/lisp/org-mac-link.el
+++ b/contrib/lisp/org-mac-link.el
@@ -912,7 +912,7 @@ selected items in DEVONthink Pro Office and make link(s) out of it/them."
   "Visit the message with MESSAGE-ID.
 This will use the command `open' with the message URL."
   (start-process (concat "open message:" message-id) nil
-                 "open" (concat "message://<" (substring message-id 2) ">")))
+                 "open" (concat "message://%3C" (substring message-id 2) "%3E")))
 
 (defun org-as-get-selected-mail ()
   "AppleScript to create links to selected messages in Mail.app."
-- 
2.29.2

